Subject: bug#22914: closed (Re: bug#22914: "VM stack overflow" with graft dependencies from substitutes)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Mar 2016 21:02:02 +0000

Your bug report

#22914: "VM stack overflow" with graft dependencies from substitutes

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22914: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22914
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22914: "VM stack overflow" with graft dependencies from substitutes
From: [email-masked] (Ludovic Courtès)
To: Eric Bavier <[email-masked]>
Cc: [email-masked]
Date: Mon, 07 Mar 2016 22:01:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Bavier <[email-masked]> skribis:

> On Sat, 05 Mar 2016 22:55:37 +0100
> [email-masked] (Ludovic Courtès) wrote:
>
>> Eric Bavier <[email-masked]> skribis:
>> 
>> > Starting with commit c90cb5c9d84ded26ef44d1e6593508d5b9e4655e (via 'git
>> > bisect') I get the following error messages after `make clean && make
>> > && ./pre-inst-env guix environment texlive`:  
>> 
>> I experienced something similar while doing “guix build icecat”.  I
>> believe this is fixed by dd78e90a4dcd1e637b56ae278c4e631ccb384ee0.
>> 
>> Could you confirm?
>
> This appears to have fixed the issue on my end too.  Thanks!

Great.
Next bug…  :-)

Ludo’.

Subject: "VM stack overflow" with graft dependencies from substitutes
From: Eric Bavier <[email-masked]>
To: [email-masked]
Date: Sat, 5 Mar 2016 00:09:39 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Starting with commit c90cb5c9d84ded26ef44d1e6593508d5b9e4655e (via 'git
bisect') I get the following error messages after `make clean && make
&& ./pre-inst-env guix environment texlive`:

--- BEGIN SNIP ---
Backtrace:
In srfi/srfi-1.scm:
 646: 19 [append-map #<procedure dependency-grafts (item)> #]
 578: 18 [map #<procedure dependency-grafts (item)> #]
In guix/grafts.scm:
 235: 17 [cumulative-grafts # # # ...]
In srfi/srfi-1.scm:
 646: 16 [append-map #<procedure dependency-grafts (item)> #]
 578: 15 [map #<procedure dependency-grafts (item)> #]
In guix/grafts.scm:
 235: 14 [cumulative-grafts # # # ...]
In srfi/srfi-1.scm:
 646: 13 [append-map #<procedure dependency-grafts (item)> #]
 578: 12 [map #<procedure dependency-grafts (item)> #]
In guix/grafts.scm:
 235: 11 [cumulative-grafts # # # ...]
In srfi/srfi-1.scm:
 646: 10 [append-map #<procedure dependency-grafts (item)> #]
 578: 9 [map #<procedure dependency-grafts (item)> #]
In guix/grafts.scm:
 222: 8 [dependency-grafts "/gnu/store/09gwygs9vdja1bkpyfqsb51rjzs7d5zs-libunistring-0.9.6"]
 156: 7 [item->deriver # ...]
In guix/store.scm:
 832: 6 [valid-derivers # ...]
In srfi/srfi-1.scm:
 534: 5 [unfold #<procedure 6ecb980 at guix/serialization.scm:162:12 (t-722807)> ...]
In guix/serialization.scm:
 122: 4 [read-string #<input-output: socket 10>]
 114: 3 [read-byte-string #<input-output: socket 10>]
  85: 2 [read-int #<input-output: socket 10>]
  71: 1 [get-bytevector-n* #<input-output: socket 10> 8]
In unknown file:
   ?: 0 [get-bytevector-n #<input-output: socket 10> 8]

ERROR: In procedure get-bytevector-n:
ERROR: Throw to key `vm-error' with args `(vm-run "VM: Stack overflow" ())'.
--- END SNIP ---

This backtrace is printed 3 times.

If it means anything, it's been at least a week since I've fetched any
substitutes from hydra on this machine.

`~Eric